Description

Search keys used by  "?" in CoCoA, are invisibile in pdf and html versions.

I think they could also be useful for the user (to understand how to search), and for us developers, to spot important keys which

might be missing.

Find a good way to print their list in all versions of the manual.

Related issues:

Related to CoCoA-5 - Support #1314: Emacs UI: open manual pages in a separate... In Progress 11 Sep 2019

History

#1 - 30 Apr 2020 14:51 - John Abbott

This might be a good idea -- I'm not sure yet.

I'd prefer to schedule it for 5.3.4 (rather than 5.3.2 which is very imminent).

I suggest making it optional initially, so that we can test it privately.

One point which does worry me slightly is that often the manual pages are too long to fit on my screen: so often the syntax part has scrolled out of

sight, and I see just the last part of some long example.  If a list of keywords is also printed out then the manual page becomes even longer.

#2 - 30 Apr 2020 14:52 - John Abbott

- Related to Support #1314: Emacs UI: open manual pages in a separate frame? added

#3 - 30 Apr 2020 16:02 - Anna Maria Bigatti

- Target version changed from CoCoA-5.3.2 to CoCoA-5.4.0

OK, postponed

...but at least / at last I've remembered to write this down!

#4 - 10 Aug 2020 14:23 - John Abbott

- Description updated

- Status changed from New to In Progress

- % Done changed from 0 to 50

Anna has checked in a first impl.

#5 - 10 Aug 2020 16:22 - John Abbott

It might be nice to break the keys into several lines if there are many of them.

An example is ?indets

I am also uncertain whether it is a good idea to have author info appear in the list (because it can make the list considerably longer).  An example is 

?ApproxPointsNBM
? define is slightly odd because "..." appears as a keyword -- do we really want this?

#6 - 16 Feb 2022 20:15 - John Abbott

- Status changed from In Progress to Feedback

- % Done changed from 50 to 90

#7 - 18 Feb 2022 17:13 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
